dthello(user cmd)

NAME
dthello — CDE login transitional greeting

SYNOPSIS

dthello [-display &<display>] [-fground &<color>] [-bground &<color>] [-font &<fontname>] [-string &<message>] [-file &<filename>] [-timeout &<seconds>]

DESCRIPTION

The dthello client provides transition visuals from the end of login to the start of the window manager in the user's session.

Upon invocation, the dthello client will create an override-redirect window the size of the screen and draw a specified message on it. At the same time, a 1x1 window is created that will be picked up by the window manager. When the window manager reparents the little window (an indication that the window manager has started), this program exits.

The message may be specified on the command line, or in a text file.

OPTIONS

    Note:

    The dthello client is designed to be started by the system and is not intended to be started directly by users.

-display display
    Display id.

-fground color
    Foreground color.

-bground color
    Background color.

-font fontname
    Font.

-string message
    String to be displayed in window.

-file filename
    Text file name whose contents will be displayed in window. This option may be specified up to five times.

-timeout seconds
    Number of seconds before giving up on the window manager and terminating.

RETURN

Exit values are:

0   Successful completion.

>0  Error condition occurred.

EXAMPLES

dthello -string Welcome to the Desktop Transition window will contain this message.

RESOURCES

NOTE: Resources should be prefaced with the string "Dthello*" when specified. Resources should be specified in the Dthello app-defaults file.
NameClassTypeDefault
vbackgroundVbackgroundPixeldynamic
vforegroundVforegroundPixeldynamic
vfontVfontFontListdynamic
stringStringString.........
fileFileStringNULL
timeoutTimeoutInteger240

  vbackground
Caret1

Specifies the background color for the transition message.

  vforeground

Specifies the foreground color for the transition message.

  vfont

Specifies the font to use for the transition message.

  string

Specifies the text to use in the transition message.

  file

Specifies a file whose contents is to be displayed in addition to the transition message. Only one file may be specified.

  timeout

Number of seconds before giving up on the window manager and terminating.